Package org.apache.catalina.tribes.group

## Class RpcMessage

- java.lang.Object
- - org.apache.catalina.tribes.group.RpcMessage

All Implemented Interfaces:
  `Externalizable`, `Serializable`

Direct Known Subclasses:
  `RpcMessage.NoRpcChannelReply`

    public class RpcMessage
    extends Object
    implements Externalizable

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `RpcMessage.NoRpcChannelReply`

### Field Summary

Fields
`protected Serializable` `message`
`protected boolean` `reply`
`protected byte[]` `rpcId`
`protected byte[]` `uuid`

### Constructor Summary

Constructors
`RpcMessage()`
`RpcMessage​(byte[] rpcId, byte[] uuid, Serializable message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readExternal​(ObjectInput in)`
`String` `toString()`
`void` `writeExternal​(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### message

    protected Serializable message

#### uuid

    protected byte[] uuid

#### rpcId

    protected byte[] rpcId

#### reply

    protected boolean reply

### Constructor Detail

#### RpcMessage

    public RpcMessage()

#### RpcMessage

    public RpcMessage​(byte[] rpcId,
                      byte[] uuid,
                      Serializable message)

### Method Detail

#### readExternal

    public void readExternal​(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal​(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`